Page MenuHomePhabricator

Create mediawiki.page-restrictions-change event
Closed, ResolvedPublic

Description

In order to exclude protected pages with lots on vandalism activity from trending results we need to provide a page-restrictions-change event in the EventBus infrastructure.

Event Timeline

Pchelolo created this task.Mar 20 2017, 7:25 PM
Restricted Application added a project: Analytics. · View Herald TranscriptMar 20 2017, 7:25 PM

One minor problem: normally in our events for changed properties we would have old values and new values, but the ArticleProtectionComplete hook provides only the new values, but there's no way to get old values. We can add a way to get them, but since we don't have a use-case for old values, I guess we could skip that and not add them right now. What do you think?

That sounds fine for my use case. I just need to be able to know a page has become protected or unprotected.

If we do that, we should probably still design the schema so that old value fields are still there, but optional.

Change 343765 had a related patch set uploaded (by Ppchelko):
[mediawiki/event-schemas] Added mediawiki.page-restrictions-change schema.

https://gerrit.wikimedia.org/r/343765

Change 343767 had a related patch set uploaded (by Ppchelko):
[mediawiki/extensions/EventBus] Emit mediawiki.page-restrictions-change event.

https://gerrit.wikimedia.org/r/343767

Change 343765 merged by jenkins-bot:
[mediawiki/event-schemas@master] Added mediawiki.page-restrictions-change schema.

https://gerrit.wikimedia.org/r/343765

Nuria moved this task from Incoming to Radar on the Analytics board.Mar 27 2017, 3:36 PM

Change 343767 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Emit mediawiki.page-restrictions-change event

https://gerrit.wikimedia.org/r/343767

Merged. To be deployed on the next MW train.

Pchelolo closed this task as Resolved.Apr 6 2017, 4:10 PM

And the event is life! Resolving.